Name:           chan_capi
Version:        1.1.2
Release:        1%{?dist}
Summary:        Asterisk ISDN CAPI channel driver

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.melware.org/ChanCapi
Source0:        ftp://ftp.chan-capi.org/chan-capi/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  asterisk-devel

%description
ChanCapi is a module for the open source software PBX system Asterisk to
provide CAPI based ISDN/Telephony hardware support.
This module (often declared as 'driver', but it isn't) provides the connection
between the PBX software and ISDN Hardware which provides a CAPI 2.0 compatible
interface. 

%prep
%setup -q


%build
make %{?_smp_mflags} V=1


%install
rm -rf $RPM_BUILD_ROOT
make install MODULES_DIR=$RPM_BUILD_ROOT%{_libdir}/asterisk/modules
install -Dpm 644 capi.conf $RPM_BUILD_ROOT%{_sysconfdir}/asterisk/capi.conf

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES INSTALL LICENSE README README.qsig
%config(noreplace) %{_sysconfdir}/asterisk/capi.conf
%{_libdir}/asterisk/modules/%{name}.so


%changelog
* Tue May 12 2009 Felix Kaechele <heffer@fedoraproject.org> - 1.1.2-1
- initial build

